// THIS PROGRAM RUNS PROCEDURES FOR CREATING ALL UNDERLYING DATA
// DATE CREATED: 2025-04-28
// AUTHOR: Euijin Jung (ejung1@worldbank.org)

*************************************************************************

version 18
clear all
set more off
capture log close
******* 1.  Point Stata to DIRECTORY *********** 
global main "C:\WBG\github\348\TC2_RP"
sysdir set PLUS "${main}\ado"
set varabbrev on
global code "$main\Code"

******* 2.  Run the component scripts in sequence **************
do  "$code/exposure.do"
do  "$code/cbam.do"
do  "$code/eg tariff.do"
do  "$code/dta.do"
do "$code/gvc.do"
******* 3.  WRAP UP **************
display as text _newline(2) "All done - " c(current_date) " " c(current_time)


